[arch-commits] CVS update of extra/lib/libnetdude (PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu Jun 28 15:56:18 EDT 2007


    Date: Thursday, June 28, 2007 @ 15:56:18
  Author: jgc
    Path: /home/cvs-extra/extra/lib/libnetdude

Modified: PKGBUILD (1.9 -> 1.10)

upgpkg: libnetdude 0.9-1
Cleanup PKGBUILD, resulting package should not be affected, build for i686


----------+
 PKGBUILD |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)


Index: extra/lib/libnetdude/PKGBUILD
diff -u extra/lib/libnetdude/PKGBUILD:1.9 extra/lib/libnetdude/PKGBUILD:1.10
--- extra/lib/libnetdude/PKGBUILD:1.9	Tue Jun  5 15:22:08 2007
+++ extra/lib/libnetdude/PKGBUILD	Thu Jun 28 15:56:18 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.9 2007/06/05 19:22:08 andyrtr Exp $
+# $Id: PKGBUILD,v 1.10 2007/06/28 19:56:18 jgc Exp $
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=libnetdude
 pkgver=0.9
@@ -6,16 +6,16 @@
 pkgdesc="Netdude is the NETwork DUmp data Displayer and Editor for tcpdump tracefiles"
 arch=('i686' 'x86_64')
 license=('custom')
-depends=('glib' 'file' 'libpcapnav')
-source=(http://downloads.sourceforge.net/netdude/$pkgname-$pkgver.tar.gz)
 url="http://netdude.sourceforge.net/"
+depends=('glib' 'file' 'libpcapnav')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/netdude/${pkgname}-${pkgver}.tar.gz)
 md5sums=('f6b5a2cd11fb86c5d5a28b2a8324e201')
-options=(!libtool)
 
 build() {
-   cd $startdir/src/$pkgname-$pkgver
-    ./configure --prefix=/usr
-    make || return 1
-    make prefix=$startdir/pkg/usr install
-    install -D -m644 COPYING $startdir/pkg/usr/share/licenses/$pkgname/COPYING
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+  install -D -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
 }




More information about the arch-commits mailing list